Gets a list of projects

SORTING WARNING

Sorting using the Dev Portal will not work. Please configure sorting appropriately in your application using the correct syntax below.

sorting

GET /businessUnits/{businessUnitId}/projects?orderBy.fieldId=name%26orderBy.ascending=true

FILTER WARNING

Filtering using the Dev Portal will not work. Please configure filtering appropriately in your application using the correct syntax below.

filtering a string field

GET /businessUnits/{businessUnitId}/projects?filters[0].fieldId=name%26filters[0].contains=project

filtering a numeric field

GET /businessUnits/{businessUnitId}/projects?filters[0].fieldId=52fec515-2012-4d2d-b8ae-17c3b274bb84%26filters[0].lowerBound=100

filtering a date field

GET /businessUnits/{businessUnitId}/projects?filters[0].fieldId=8230a513-065b-4928-a64b-57cef4de1a31%26filters[0].lowerBound=2021-01-01T00:00:00.00000Z

paging

GET /businessUnits/{businessUnitId}/projects?continuationToken=continuationToken%26top=100

For help with authorization, see https://developer.hcssapps.com/getting-started/request-tokens

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The id of the business unit to operate on

Query Params
Filters
array of objects | null

Filtering using the Dev Portal will not work.
Please configure filtering appropriately in your application using the correct syntax below.
Use array syntax filters[0].fieldId=name filters[0].contains=123

Filters
string | null

The field id to order by

boolean

Whether the data should be sorted in ascending or descending order

string | null

The value from the nextPageToken in a previous response. This should be URL encoded.

int32

The number of items to include. Defaults to 100

boolean
Defaults to true

Flag value to include/exclude runtime dynamic fields like estimates, calculations, etc. By default it is enabled (true). Disabling dynamic fields will improve performance.

boolean
Defaults to false

Flag value to include/exclude archived projects. By default, it is disabled (false).

excludeDynamicFields
array of objects | null

List of ProjectDynamicFields Enum parameter with fields to exclude runtime dynamic fields like estimates, calculations, etc. By default, it doesn't exclude anything. Excluding dynamic fields will improve performance. This only works if includeDynamicFields is set to true

excludeDynamicFields
Allowed:
Responses

Language
Credentials
OAuth2
Required Scopes
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json